<?php
/**
 * 404 Template
 *
 * The 404 template is used when a reader visits an invalid URL on your site. By default,
 * the template will display a generic message. However, if the '404' widget area
 * is active, its widgets will be displayed instead. This allows users to customize their error
 * pages in any way they want.
 *
 * For more information on how WordPress handles 404 errors:
 * @link http://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package dkret
 * @since 3.6
 */

@header( 'HTTP/1.1 404 Not found', true, 404 );

get_header() ?>

    <div id="container">

        <?php /* dkret3 Hook */ do_action( 'dkret_before_container' ); ?>    

        <div id="content" role="main">

            <?php /* dkret3 Hook */ do_action( 'dkret_before_content' ); ?>

            <div id="post-0" class="post error404">

                <?php /* dkret3 Hook */ do_action( 'dkret_before_entry' ); ?>

                <div class="entry-content">

                    <?php
                    if ( is_active_sidebar( '404' ) ) :
                        dynamic_sidebar( '404' );

                    else :
                        the_widget( 'DKRET_Widget_Text', array( 'title' => '', 'filter' => true, 'text' => __( 'Apologies, but we were unable to find what you were looking for. Perhaps searching will help.', 'dkret' )) );
                        the_widget( 'WP_Widget_Search' );

                    endif;
                    ?>

                </div><!-- .entry-content -->
            
                <?php /* dkret3 Hook */ do_action( 'dkret_after_entry' ); ?>

            </div><!-- #post-0 -->

            <?php /* dkret3 Hook */ do_action( 'dkret_after_content' ); ?>

        </div><!-- #content -->

        <?php /* dkret3 Hook */ do_action( 'dkret_after_container' ); ?>

    </div><!-- #container -->

<?php get_sidebar() ?>
<?php get_footer() ?>