<?php
/**
 * The template used to display the Access Menu
 *
 * @dkret3
 * @since 3.6
 */
?>
    <?php if ( get_dkret_option( 'show_navigation' ) ) : ?>
    
        <div id="access" class="menu-container" role="navigation">
            
            <div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'dkret' ); ?>"><?php _e( 'Skip to content', 'dkret' ); ?></a></div>

            <?php /* dkret3 Hook */ do_action( 'dkret_before_access_menu' ); ?>
            
            <?php
                if ( has_nav_menu( 'access-menu' ) ) :
                    wp_nav_menu( array(
                        'theme_location' => 'access-menu',
                        'container_class' => 'header-menu',
                        'menu_class' => 'sf-menu',
                        'fallback_cb' => '' )
                    );
                else :
                    wp_page_menu( array(
                        'show_home' => get_dkret_option( 'home_link_name' ),
                        'depth' => 4,
                        'menu_class' => 'header-menu',
                        'sort_column' => 'menu_order' )
                    );
                endif;
            ?>
                    
            <?php /* dkret3 Hook */ do_action( 'dkret_after_access_menu' ); ?>

        </div><!-- #access .menu-container -->
        
    <?php endif; ?>