<?php
/**
 * The Search Results template
 *
 * @package dkret3
 * @since 3.6
 */

get_header() ?>

    <div id="container">

        <?php /* dkret3 Hook */ do_action( 'dkret_before_container' ); ?>    

        <div id="content" role="main">

            <?php /* dkret3 Hook */ do_action( 'dkret_before_content' ); ?>

            <div class="search-info">

                <h2 class="page-title"><?php printf( __( 'Search Results for: %s', 'dkret' ), '<span>' . get_search_query() . '</span>' ); ?></h2>

            </div><!-- .search-info -->

            <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                <div id="post-<?php the_ID() ?>" <?php post_class() ?>>

                    <?php /* dkret3 Hook */ do_action( 'dkret_before_entry' ); ?>

                    <?php if ( get_dkret_option( 'summary' ) ) : //Display Excerpts if Option is set ?>

                        <div class="entry-summary">
                        
                            <?php the_excerpt( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'dkret' ) ); ?>

                        </div><!-- .entry-summary -->

                    <?php else : ?>

                        <div class="entry-content">

                            <?php the_content( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'dkret' ) ); ?>

                            <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'dkret' ), 'after' => '</div>' ) ); ?>

                        </div><!-- .entry-content -->

                    <?php endif; ?>

                    <?php /* dkret3 Hook */ do_action( 'dkret_after_entry' ); ?>
            
                </div><!-- #post-ID -->
                    
            <?php endwhile; ?>

            <?php else: ?>

                <p class="no-data">
                    <?php _e( 'Sorry, no posts matched your criteria.', 'dkret' ); ?>
                </p><!-- .no-data -->

            <?php endif; ?>

            <?php /* dkret3 Hook */ do_action( 'dkret_after_content' ); ?>

        </div><!-- #content -->

        <?php /* dkret3 Hook */ do_action( 'dkret_after_container' ); ?>

    </div><!-- #container -->

<?php get_sidebar() ?>
<?php get_footer() ?>