<?php
/**
 * Template Name: Links Page
 *
 * Use this template to display all of the blogs links.
 * Selectable from a dropdown menu on the edit page screen.
 *
 * @package dkret3
 * @since 3.6
 */

get_header() ?>

    <div id="container">

        <?php /* dkret3 Hook */ do_action( 'dkret_before_container' ); ?>    

        <div id="content" role="main">

            <?php /* dkret3 Hook */ do_action( 'dkret_before_content' ); ?>

            <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <?php /* dkret3 Hook */ do_action( 'dkret_before_entry' ); ?>

                    <div class="entry-content">

                        <?php the_content(); ?>

                        <?php $args = array(
                            'title_li' => false,
                            'title_before' => '<h2>',
                            'title_after' => '</h2>',
                            'category_before' => false,
                            'category_after' => false,
                            'categorize' => true,
                            'show_description' => true,
                            'between' => '<br />',
                            'show_images' => false,
                            'show_rating' => false,
                        ); ?>
                        
                        <?php wp_list_bookmarks( $args ); ?>

                        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'dkret' ), 'after' => '</div>' ) ); ?>

                    </div><!-- .entry-content -->

                    <?php /* dkret3 Hook */ do_action( 'dkret_after_entry' ); ?>

                </div><!-- #post-ID -->

                <?php /* dkret3 Hook */ do_action( 'dkret_after_singular' ); ?>

                <?php comments_template( '', true ); ?>

                <?php endwhile; ?>

            <?php else: ?>

                <p class="no-data">
                    <?php _e( 'Sorry, no page matched your criteria.', 'dkret' ); ?>
                </p><!-- .no-data -->

            <?php endif; ?>

            <?php /* dkret3 Hook */ do_action( 'dkret_after_content' ); ?>

        </div><!-- #content -->

        <?php /* dkret3 Hook */ do_action( 'dkret_after_container' ); ?>

    </div><!-- #container -->


<?php get_sidebar() ?>
<?php get_footer() ?>